INCLUDES = $(all_includes)
METASOURCES = AUTO

kde_module_LTLIBRARIES = libsmb4ksharesiconview.la
libsmb4ksharesiconview_la_SOURCES = smb4ksharesiconview.cpp \
		smb4ksharesiconview_part.cpp smb4ksharesiconviewitem.cpp \
		smb4ksharesiconviewtooltip.cpp
libsmb4ksharesiconview_la_LDFLAGS = -module -no-undefined $(all_libraries)
noinst_HEADERS = smb4ksharesiconview.h smb4ksharesiconview_part.h \
		smb4ksharesiconviewitem.h smb4ksharesiconviewtooltip.h
libsmb4ksharesiconview_la_LIBADD = $(top_builddir)/smb4k/core/libsmb4kcore.la \
	$(top_builddir)/smb4k/dialogs/libsmb4kdialogs.la $(LIB_KIO) $(LIB_TDECORE) $(LIB_TDEUI) $(KDE_PLUGIN) $(LIB_KPARTS) \
	$(LIB_QT)

partrcdir = $(kde_datadir)/smb4ksharesiconviewpart
partrc_DATA = smb4ksharesiconview_part.rc
